package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * EMS数据
 */
public class EmsDataVo {

    /** 设备唯一标识符 */
    private String deviceId;

    /** 设备名称 */
    private String deviceName;

    /** EMS控制模式 */
    private BigDecimal emsStatus;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** BMS1SOC */
    private BigDecimal bms1Soc;

    /** BMS2SOC */
    private BigDecimal bms2Soc;

    /** BMS3SOC */
    private BigDecimal bms3Soc;

    /** BMS4SOC */
    private BigDecimal bms4Soc;

    /** PCS-1有功功率 */
    private BigDecimal pcs1Yggl;

    /** PCS-2有功功率 */
    private BigDecimal pcs2Yggl;

    /** PCS-3有功功率 */
    private BigDecimal pcs3Yggl;

    /** PCS-4有功功率 */
    private BigDecimal pcs4Yggl;

    /** EMS有功功率 */
    private BigDecimal emsYggl;

    /** 报警个数 */
    private int alarmNum;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public BigDecimal getEmsStatus() {
        return emsStatus;
    }

    public void setEmsStatus(BigDecimal emsStatus) {
        this.emsStatus = emsStatus;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public BigDecimal getBms1Soc() {
        return bms1Soc;
    }

    public void setBms1Soc(BigDecimal bms1Soc) {
        this.bms1Soc = bms1Soc;
    }

    public BigDecimal getBms2Soc() {
        return bms2Soc;
    }

    public void setBms2Soc(BigDecimal bms2Soc) {
        this.bms2Soc = bms2Soc;
    }

    public BigDecimal getBms3Soc() {
        return bms3Soc;
    }

    public void setBms3Soc(BigDecimal bms3Soc) {
        this.bms3Soc = bms3Soc;
    }

    public BigDecimal getBms4Soc() {
        return bms4Soc;
    }

    public void setBms4Soc(BigDecimal bms4Soc) {
        this.bms4Soc = bms4Soc;
    }

    public BigDecimal getPcs1Yggl() {
        return pcs1Yggl;
    }

    public void setPcs1Yggl(BigDecimal pcs1Yggl) {
        this.pcs1Yggl = pcs1Yggl;
    }

    public BigDecimal getPcs2Yggl() {
        return pcs2Yggl;
    }

    public void setPcs2Yggl(BigDecimal pcs2Yggl) {
        this.pcs2Yggl = pcs2Yggl;
    }

    public BigDecimal getPcs3Yggl() {
        return pcs3Yggl;
    }

    public void setPcs3Yggl(BigDecimal pcs3Yggl) {
        this.pcs3Yggl = pcs3Yggl;
    }

    public BigDecimal getPcs4Yggl() {
        return pcs4Yggl;
    }

    public void setPcs4Yggl(BigDecimal pcs4Yggl) {
        this.pcs4Yggl = pcs4Yggl;
    }

    public BigDecimal getEmsYggl() {
        return emsYggl;
    }

    public void setEmsYggl(BigDecimal emsYggl) {
        this.emsYggl = emsYggl;
    }

    public int getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(int alarmNum) {
        this.alarmNum = alarmNum;
    }
}
